Name: x11-driver-video-apm
Version: 1.3.0
Release: %mkrel 4
Summary: X.org driver for Alliance Promotion
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-apm-%{version}.tar.bz2
License: MIT
ExclusiveArch: %ix86 x86_64
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-apm is the X.org driver for Alliance Promotion.

%prep
%setup -q -n xf86-video-apm-%{version}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/apm_drv.so
%{_mandir}/man4/apm.*


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 1.3.0-4.mga9
+ Revision: 1837984
- Mageia 9 Mass Rebuild

* Sat Oct 16 2021 tv <tv> 1.3.0-3.mga9
+ Revision: 1751699
- Rebuild for X.org 21.1
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 19 2020 tv <tv> 1.3.0-2.mga8
+ Revision: 1544088
- only build on x86 x86_64
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Feb 17 2019 tv <tv> 1.3.0-1.mga7
+ Revision: 1367943
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.2.5-21.mga7
+ Revision: 1301747
- Mageia 7 Mass Rebuild

* Thu Jun 21 2018 wally <wally> 1.2.5-20.mga7
+ Revision: 1238586
- fix build on aarch64
- drop .la files
- use new make macros
- drop old conflicts

* Fri Mar 09 2018 tv <tv> 1.2.5-19.mga7
+ Revision: 1207703
- rebuild for xserver 1.20 RC1

* Thu Nov 17 2016 tv <tv> 1.2.5-18.mga6
+ Revision: 1067780
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1.2.5-17.mga6
+ Revision: 1043229
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 1.2.5-16.mga6
+ Revision: 963363
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 1.2.5-15.mga6
+ Revision: 902286
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1.2.5-14.mga6
+ Revision: 902046
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 1.2.5-13.mga6
+ Revision: 836002
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.2.5-12.mga5
+ Revision: 743522
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.5-11.mga5
+ Revision: 690419
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.2.5-10.mga5
+ Revision: 635006
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.2.5-9.mga5
+ Revision: 633662
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.2.5-8.mga5
+ Revision: 614350
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.2.5-7.mga5
+ Revision: 582304
- patch 0: fix build with xserver-1.14

* Fri Dec 06 2013 tmb <tmb> 1.2.5-6.mga4
+ Revision: 555584
- rebuild for new mesa

* Sat Oct 19 2013 umeabot <umeabot> 1.2.5-5.mga4
+ Revision: 525406
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.2.5-4.mga4
+ Revision: 433142
- submit to core/release

* Fri May 24 2013 tv <tv> 1.2.5-3.mga4
+ Revision: 426046
- patch 0: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 1.2.5-3.mga3
+ Revision: 385972
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 1.2.5-2.mga3
+ Revision: 288951
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 1.2.5-1.mga3
+ Revision: 273821
- new release
- new release

* Wed Jun 06 2012 tmb <tmb> 1.2.4-4.mga3
+ Revision: 256350
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.2.4-3.mga3
+ Revision: 253001
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.2.4-2.mga3.nonfree
+ Revision: 250210
- rebuild for new X.org server

* Wed May 30 2012 tv <tv> 1.2.4-1.mga3
+ Revision: 249925
- new release

* Tue Dec 06 2011 tmb <tmb> 1.2.3-6.mga2
+ Revision: 177531
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.2.3-5.mga2
+ Revision: 153107
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 1.2.3-4.mga1
+ Revision: 64386
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.2.3-3.mga1
+ Revision: 50178
- imported package x11-driver-video-apm


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1.2.3-3mdv2011.0
+ Revision: 595729
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.2.3-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Sun Jul 25 2010 Thierry Vignaud <tv@mandriva.org> 1.2.3-1mdv2011.0
+ Revision: 558367
- new release

* Mon Aug 03 2009 Thierry Vignaud <tv@mandriva.org> 1.2.2-1mdv2010.0
+ Revision: 407730
- new release

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 1.2.1-2mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Tue Dec 23 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.2.1-1mdv2009.1
+ Revision: 317838
- New version 1.2.1

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.org> 1.2.0-3mdv2009.1
+ Revision: 308210
- rebuild for new X server

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.2.0-2mdv2009.0
+ Revision: 265900
- rebuild early 2009.0 package (before pixel changes)
- improved description
- fix group
- add missing dot at end of description
- improved summary

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.0-1mdv2009.0
+ Revision: 194217
- Update to version 1.2.0.

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.1-7mdv2008.1
+ Revision: 165470
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.1-6mdv2008.1
+ Revision: 156596
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.1-5mdv2008.1
+ Revision: 154896
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  re only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Note local tag xf86-video-apm-1.1.1@mandriva suggested on upstream
  Tag at git checkout ca78b41a6fcb4110d8e19636baa8dfb4a9ef07bd
  There is already a tag named apm-1_1_1, but the local mandriva tag
  is probably a better option as it follows the pattern used by other
  repositories, and is newer than apm-1_1_1, including changes considered
  safe. To check the diff run:
  	git diff apm-1_1_1..xf86-video-apm-1.1.1@mandriva
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.1-4mdv2008.1
+ Revision: 98683
- minor spec cleanup
- build against new xserver (1.4)

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-3mdv2008.0
+ Revision: 75720
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

